Description

Audacious 3.10.1-1 reinstalled during a reinstall of Devuan Beowulf (fork of Debian Linux that eliminates systemd) operating system.

When Audacious started by user or by root an error: "Failed to query CDDB server: connection error". Also track names not seen, but

appear simply as track 1, track 2... The error pops up when I click Play CD and sometimes at end of last track. Did not have the error

with a previous installation of Devuan Beowulf.

The error is repeated. Removing and reinstalling Audacious did not help.

I don't know if significant, but $/lib/udev/cdrom_id --debug /dev/sr0 returns a set of lines like this: "GET CONFIGURATION: feature

0x0001 <ignored>, with 0x08 bytes."

Probably irrelevant is that Audacious 4.0.5 changed its default CDDB server to gnud.db.org (issue #994)

Installing gvfs0backends and gpxtool did not help. I do not have access to a totem-plugins-extra package.

Should I have a line like cddbpath=///.cddbslave in the Audacity config file? My ~/.cddbslave was not created by the installation of

Audacious but had to be copied over from the prior installation.

When Audacious is started from a terminal I get:

Verifying drive can read CDDA...

Expected command set reads OK.

ERROR util.cc:269 [audgui_simple_message]: Failed to query the CDDB

server: connection error

ALSA lib pcm.c:8424:(snd_pcm_recover) underrun occurred

ERROR util.cc:269 [audgui_simple_message]: Failed to query the CDDB

server: connection error

Checking /dev/cdrom for cdrom...

CDROM sensed: ASUS     DRW-24B1ST   j   1.11 SCSI

CD-ROM*

History

#1 - August 16, 2020 11:06 - Thomas Lange

- Assignee deleted (Haines Brown)

- Category set to plugins/cdaudio

Isn't #994 exactly the same problem as you have? freedb.org servers has been shut down [1].

Configure "gnudb.gnudb.org" as server in the Audio CD input plugin. This is now the default setting since Audacious 4.0.5.

[1] https://en.wikipedia.org/wiki/Freedb#History

#2 - August 19, 2020 12:38 - Haines Brown

Thanks to Thomas Lange I'm better informed, but my basic question remains. I'm running Audacious 3.10.1-1 under Devuan Beowulf. I need to point

Audacioua to the freedb/dbpoweramp.com CDDB server. What line should I add to which configuration file?
#3 - August 19, 2020 20:02 - Thomas Lange

- File Audio-CD-Plugin-Settings.png added

Like already explained, you can change it in the settings of the Audio CD plugin. See the attached screenshot.

#4 - September 14, 2020 04:08 - John Lindgren

- Status changed from New to Closed

Files

Audio-CD-Plugin-Settings.png 66.4 KB August 19, 2020 Thomas Lange
